## org.mortbay.jaas
Class JAASGroup

    java.lang.Object
      |
      +--org.mortbay.jaas.JAASGroup

All Implemented Interfaces:
  java.security.acl.Group, java.security.Principal

public class JAASGroup
extends java.lang.Object
implements java.security.acl.Group

Field Summary
`static java.lang.String` `ROLES`

Constructor Summary
`JAASGroup(java.lang.String n)`

Method Summary
`boolean` `addMember(java.security.Principal principal)`
`boolean` `equals(java.lang.Object object)`
`java.lang.String` `getName()`
`int` `hashCode()`
`boolean` `isMember(java.security.Principal principal)`
`java.util.Enumeration` `members()`
`boolean` `removeMember(java.security.Principal principal)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ROLES

    public static final java.lang.String ROLES

See Also:
  Constant Field Values

Constructor Detail

### JAASGroup

    public JAASGroup(java.lang.String n)

Method Detail

### addMember

    public boolean addMember(java.security.Principal principal)

  Specified by:
    `addMember` in interface `java.security.acl.Group`
  Parameters:
    `principal` - <description>
  Returns:
    <description>

### removeMember

    public boolean removeMember(java.security.Principal principal)

  Specified by:
    `removeMember` in interface `java.security.acl.Group`
  Parameters:
    `principal` - <description>
  Returns:
    <description>

### isMember

    public boolean isMember(java.security.Principal principal)

  Specified by:
    `isMember` in interface `java.security.acl.Group`
  Parameters:
    `principal` - <description>
  Returns:
    <description>

### members

    public java.util.Enumeration members()

  Specified by:
    `members` in interface `java.security.acl.Group`
  Returns:
    <description>

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.security.Principal`
  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    <description>

### equals

    public boolean equals(java.lang.Object object)

  Specified by:
    `equals` in interface `java.security.Principal`
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `object` - <description>
  Returns:
    <description>

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in interface `java.security.Principal`
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    <description>

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `java.security.Principal`
  Returns:
    <description>

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.